diff --git a/cube-shadertoy.c b/cube-shadertoy.c
index 7b148da..5d82b06 100644
--- a/cube-shadertoy.c
+++ b/cube-shadertoy.c
@@ -200,13 +200,15 @@ static const char *cube_fs =
 	"}                                  \n";
 
 static const char *shadertoy_vs =
-	"attribute vec3 position;           \n"
-	"void main()                        \n"
-	"{                                  \n"
-	"    gl_Position = vec4(position, 1.0);\n"
-	"}                                  \n";
+	"#version 300 es                        \n"
+	"layout(location = 0) in vec3 position; \n"
+	"void main()                            \n"
+	"{                                      \n"
+	"    gl_Position = vec4(position, 1.0); \n"
+	"}                                      \n";
 
 static const char *shadertoy_fs_tmpl =
+	"#version 300 es                                                                      \n"
 	"precision mediump float;                                                             \n"
 	"uniform vec3      iResolution;           // viewport resolution (in pixels)          \n"
 	"uniform float     iGlobalTime;           // shader playback time (in seconds)        \n"
@@ -216,12 +218,13 @@ static const char *shadertoy_fs_tmpl =
 	"uniform vec3      iChannelResolution[4]; // channel resolution (in pixels)           \n"
 	"uniform float     iChannelTime[4];       // channel playback time (in sec)           \n"
 	"uniform float     iTime;                                                             \n"
+	"layout(location = 0) out vec4 frag_color;                                            \n"
 	"                                                                                     \n"
 	"%s                                                                                   \n"
 	"                                                                                     \n"
 	"void main()                                                                          \n"
 	"{                                                                                    \n"
-	"    mainImage(gl_FragColor, gl_FragCoord.xy);                                        \n"
+	"    mainImage(frag_color, gl_FragCoord.xy);                                          \n"
 	"}                                                                                    \n";
 
 
